/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: CarClassMetadata.java 3214 2008-05-14 14:50:46Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.car.impl;

import org.ow2.util.ee.metadata.car.api.ICarClassMetadata;
import org.ow2.util.ee.metadata.car.api.ICarFieldMetadata;
import org.ow2.util.ee.metadata.car.api.ICarMethodMetadata;
import org.ow2.util.ee.metadata.common.impl.CommonClassMetadata;
import org.ow2.util.scan.api.metadata.structures.JClass;


/**
 * This class represents the annotation metadata of a Bean.<br>
 * From this class, we can access to all methods of a bean with its associated information.
 * @author Florent Benoit
 */
public class CarClassMetadata
extends CommonClassMetadata<ICarClassMetadata, ICarMethodMetadata, ICarFieldMetadata> implements ICarClassMetadata {
    /**
     * Logger.
     */
    // private static Log logger = LogFactory.getLog(EjbJarClassMetadata.class);

    /**
     * Parent meta data.
     */
    private CarDeployableMetadata warDeployableMetadata = null;

    /**
     * Constructor.
     * @param jClass jClass.
     * @param warDeployableMetadata parent metadata object.
     */
    public CarClassMetadata(final JClass jClass, final CarDeployableMetadata warDeployableMetadata) {
        super(jClass);
        this.warDeployableMetadata = warDeployableMetadata;
    }

    /**
     * @return the archive metadata
     */
    public CarDeployableMetadata getCarDeployableMetadata() {
        return this.warDeployableMetadata;
    }

}
